[arch-commits] Commit in scite/repos (8 files)

Alexander Rødseth arodseth at nymeria.archlinux.org
Sat Mar 2 12:31:54 UTC 2013


    Date: Saturday, March 2, 2013 @ 13:31:53
  Author: arodseth
Revision: 85517

archrelease: copy trunk to community-x86_64, community-i686

Added:
  scite/repos/community-i686/PKGBUILD
    (from rev 85516, scite/trunk/PKGBUILD)
  scite/repos/community-i686/scite.install
    (from rev 85516, scite/trunk/scite.install)
  scite/repos/community-x86_64/PKGBUILD
    (from rev 85516, scite/trunk/PKGBUILD)
  scite/repos/community-x86_64/scite.install
    (from rev 85516, scite/trunk/scite.install)
Deleted:
  scite/repos/community-i686/PKGBUILD
  scite/repos/community-i686/scite.install
  scite/repos/community-x86_64/PKGBUILD
  scite/repos/community-x86_64/scite.install

--------------------------------+
 community-i686/PKGBUILD        |  102 +++++++++++++++++++--------------------
 community-i686/scite.install   |   26 ++++-----
 community-x86_64/PKGBUILD      |  102 +++++++++++++++++++--------------------
 community-x86_64/scite.install |   26 ++++-----
 4 files changed, 128 insertions(+), 128 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2013-03-02 12:31:42 UTC (rev 85516)
+++ community-i686/PKGBUILD	2013-03-02 12:31:53 UTC (rev 85517)
@@ -1,51 +0,0 @@
-# $Id$
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: Thomas S Hatch <thatch45 at gmail.com>
-# Contributor: Corrado 'bardo' Primier <corrado.primier at mail.polimi.it>
-# Contributor: Jochem Kossen <j.kossen at home.nl>
-# Contributor: Daniel J Griffiths <ghost1227 at archlinux.us>
-
-pkgname=scite
-pkgver=3.2.4
-pkgrel=1
-pkgdesc='Editor with facilities for building and running programs'
-arch=('x86_64' 'i686')
-url='http://www.scintilla.org/SciTE.html'
-license=('custom:scite')
-depends=('desktop-file-utils' 'gtk2')
-makedepends=('setconf')
-backup=('usr/share/scite/SciTEGlobal.properties')
-install=$pkgname.install
-source=("http://downloads.sourceforge.net/sourceforge/scintilla/${pkgname}${pkgver//./}.tgz")
-sha256sums=('bd20b97513aee8e4584253d6ca31ec658bd4f098ceefb354889eb8a498cb5c08')
-
-build() {
-  cd "$srcdir"
-
-  if [ $?CXXBASEFLAGS == 1 ]; then 
-    sed '0,/CXXTFLAGS=/s//nop=/' -i scite/gtk/makefile
-    setconf scite/gtk/makefile CXXTFLAGS "-DNDEBUG ${CXXFLAGS} $(CXXBASEFLAGS)"
-  fi
-  sed '0,/CXXFLAGS=/s//nop=/' -i scintilla/gtk/makefile
-  setconf scintilla/gtk/makefile CXXFLAGS \
-    "-DNDEBUG ${CXXFLAGS} \$(CXXBASEFLAGS) \$(THREADFLAGS)"
-  setconf scintilla/gtk/makefile CXXBASEFLAGS \
-    "-Wno-missing-braces -Wno-char-subscripts ${CXXFLAGS} -DGTK -DSCI_LEXER \$(INCLUDEDIRS)"
-  cd "$srcdir/scintilla/gtk"
-  make
-  cd "$srcdir/$pkgname/gtk"
-  make
-}
-
-package() {
-  cd "$srcdir/$pkgname/gtk"
-
-  make DESTDIR="$pkgdir" install
-  install -Dm644 "$srcdir/$pkgname/License.txt" \
-    "$pkgdir/usr/share/licenses/$pkgname/LICENSE-scite"
-  install -Dm644 "$srcdir/scintilla/License.txt" \
-    "$pkgdir/usr/share/licenses/$pkgname/LICENSE-scintilla"
-  ln -sf SciTE "$pkgdir/usr/bin/scite"
-}
-
-# vim:set ts=2 sw=2 et:

Copied: scite/repos/community-i686/PKGBUILD (from rev 85516, scite/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2013-03-02 12:31:53 UTC (rev 85517)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: Thomas S Hatch <thatch45 at gmail.com>
+# Contributor: Corrado 'bardo' Primier <corrado.primier at mail.polimi.it>
+# Contributor: Jochem Kossen <j.kossen at home.nl>
+# Contributor: Daniel J Griffiths <ghost1227 at archlinux.us>
+
+pkgname=scite
+pkgver=3.2.5
+pkgrel=1
+pkgdesc='Editor with facilities for building and running programs'
+arch=('x86_64' 'i686')
+url='http://www.scintilla.org/SciTE.html'
+license=('custom:scite')
+depends=('desktop-file-utils' 'gtk2')
+makedepends=('setconf')
+backup=('usr/share/scite/SciTEGlobal.properties')
+install=$pkgname.install
+source=("http://downloads.sourceforge.net/sourceforge/scintilla/${pkgname}${pkgver//./}.tgz")
+sha256sums=('ac3ca9588bb23ef21da2e22f6ef21416bbd7bf6957130a8e4057b3e5f3c58bef')
+
+build() {
+  cd "$srcdir"
+
+  if [ $?CXXBASEFLAGS == 1 ]; then 
+    sed '0,/CXXTFLAGS=/s//nop=/' -i scite/gtk/makefile
+    setconf scite/gtk/makefile CXXTFLAGS "-DNDEBUG ${CXXFLAGS} $(CXXBASEFLAGS)"
+  fi
+  sed '0,/CXXFLAGS=/s//nop=/' -i scintilla/gtk/makefile
+  setconf scintilla/gtk/makefile CXXFLAGS \
+    "-DNDEBUG ${CXXFLAGS} \$(CXXBASEFLAGS) \$(THREADFLAGS)"
+  setconf scintilla/gtk/makefile CXXBASEFLAGS \
+    "-Wno-missing-braces -Wno-char-subscripts ${CXXFLAGS} -DGTK -DSCI_LEXER \$(INCLUDEDIRS)"
+  cd "$srcdir/scintilla/gtk"
+  make
+  cd "$srcdir/$pkgname/gtk"
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname/gtk"
+
+  make DESTDIR="$pkgdir" install
+  install -Dm644 "$srcdir/$pkgname/License.txt" \
+    "$pkgdir/usr/share/licenses/$pkgname/LICENSE-scite"
+  install -Dm644 "$srcdir/scintilla/License.txt" \
+    "$pkgdir/usr/share/licenses/$pkgname/LICENSE-scintilla"
+  ln -sf SciTE "$pkgdir/usr/bin/scite"
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-i686/scite.install
===================================================================
--- community-i686/scite.install	2013-03-02 12:31:42 UTC (rev 85516)
+++ community-i686/scite.install	2013-03-02 12:31:53 UTC (rev 85517)
@@ -1,13 +0,0 @@
-post_upgrade() {
-  update-desktop-database -q
-}
-
-post_install() {
-  post_upgrade
-}
-
-post_remove() {
-  post_upgrade
-}
-
-# vim:set ts=2 sw=2 et:

Copied: scite/repos/community-i686/scite.install (from rev 85516, scite/trunk/scite.install)
===================================================================
--- community-i686/scite.install	                        (rev 0)
+++ community-i686/scite.install	2013-03-02 12:31:53 UTC (rev 85517)
@@ -0,0 +1,13 @@
+post_upgrade() {
+  update-desktop-database -q
+}
+
+post_install() {
+  post_upgrade
+}
+
+post_remove() {
+  post_upgrade
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2013-03-02 12:31:42 UTC (rev 85516)
+++ community-x86_64/PKGBUILD	2013-03-02 12:31:53 UTC (rev 85517)
@@ -1,51 +0,0 @@
-# $Id$
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: Thomas S Hatch <thatch45 at gmail.com>
-# Contributor: Corrado 'bardo' Primier <corrado.primier at mail.polimi.it>
-# Contributor: Jochem Kossen <j.kossen at home.nl>
-# Contributor: Daniel J Griffiths <ghost1227 at archlinux.us>
-
-pkgname=scite
-pkgver=3.2.4
-pkgrel=1
-pkgdesc='Editor with facilities for building and running programs'
-arch=('x86_64' 'i686')
-url='http://www.scintilla.org/SciTE.html'
-license=('custom:scite')
-depends=('desktop-file-utils' 'gtk2')
-makedepends=('setconf')
-backup=('usr/share/scite/SciTEGlobal.properties')
-install=$pkgname.install
-source=("http://downloads.sourceforge.net/sourceforge/scintilla/${pkgname}${pkgver//./}.tgz")
-sha256sums=('bd20b97513aee8e4584253d6ca31ec658bd4f098ceefb354889eb8a498cb5c08')
-
-build() {
-  cd "$srcdir"
-
-  if [ $?CXXBASEFLAGS == 1 ]; then 
-    sed '0,/CXXTFLAGS=/s//nop=/' -i scite/gtk/makefile
-    setconf scite/gtk/makefile CXXTFLAGS "-DNDEBUG ${CXXFLAGS} $(CXXBASEFLAGS)"
-  fi
-  sed '0,/CXXFLAGS=/s//nop=/' -i scintilla/gtk/makefile
-  setconf scintilla/gtk/makefile CXXFLAGS \
-    "-DNDEBUG ${CXXFLAGS} \$(CXXBASEFLAGS) \$(THREADFLAGS)"
-  setconf scintilla/gtk/makefile CXXBASEFLAGS \
-    "-Wno-missing-braces -Wno-char-subscripts ${CXXFLAGS} -DGTK -DSCI_LEXER \$(INCLUDEDIRS)"
-  cd "$srcdir/scintilla/gtk"
-  make
-  cd "$srcdir/$pkgname/gtk"
-  make
-}
-
-package() {
-  cd "$srcdir/$pkgname/gtk"
-
-  make DESTDIR="$pkgdir" install
-  install -Dm644 "$srcdir/$pkgname/License.txt" \
-    "$pkgdir/usr/share/licenses/$pkgname/LICENSE-scite"
-  install -Dm644 "$srcdir/scintilla/License.txt" \
-    "$pkgdir/usr/share/licenses/$pkgname/LICENSE-scintilla"
-  ln -sf SciTE "$pkgdir/usr/bin/scite"
-}
-
-# vim:set ts=2 sw=2 et:

Copied: scite/repos/community-x86_64/PKGBUILD (from rev 85516, scite/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2013-03-02 12:31:53 UTC (rev 85517)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: Thomas S Hatch <thatch45 at gmail.com>
+# Contributor: Corrado 'bardo' Primier <corrado.primier at mail.polimi.it>
+# Contributor: Jochem Kossen <j.kossen at home.nl>
+# Contributor: Daniel J Griffiths <ghost1227 at archlinux.us>
+
+pkgname=scite
+pkgver=3.2.5
+pkgrel=1
+pkgdesc='Editor with facilities for building and running programs'
+arch=('x86_64' 'i686')
+url='http://www.scintilla.org/SciTE.html'
+license=('custom:scite')
+depends=('desktop-file-utils' 'gtk2')
+makedepends=('setconf')
+backup=('usr/share/scite/SciTEGlobal.properties')
+install=$pkgname.install
+source=("http://downloads.sourceforge.net/sourceforge/scintilla/${pkgname}${pkgver//./}.tgz")
+sha256sums=('ac3ca9588bb23ef21da2e22f6ef21416bbd7bf6957130a8e4057b3e5f3c58bef')
+
+build() {
+  cd "$srcdir"
+
+  if [ $?CXXBASEFLAGS == 1 ]; then 
+    sed '0,/CXXTFLAGS=/s//nop=/' -i scite/gtk/makefile
+    setconf scite/gtk/makefile CXXTFLAGS "-DNDEBUG ${CXXFLAGS} $(CXXBASEFLAGS)"
+  fi
+  sed '0,/CXXFLAGS=/s//nop=/' -i scintilla/gtk/makefile
+  setconf scintilla/gtk/makefile CXXFLAGS \
+    "-DNDEBUG ${CXXFLAGS} \$(CXXBASEFLAGS) \$(THREADFLAGS)"
+  setconf scintilla/gtk/makefile CXXBASEFLAGS \
+    "-Wno-missing-braces -Wno-char-subscripts ${CXXFLAGS} -DGTK -DSCI_LEXER \$(INCLUDEDIRS)"
+  cd "$srcdir/scintilla/gtk"
+  make
+  cd "$srcdir/$pkgname/gtk"
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname/gtk"
+
+  make DESTDIR="$pkgdir" install
+  install -Dm644 "$srcdir/$pkgname/License.txt" \
+    "$pkgdir/usr/share/licenses/$pkgname/LICENSE-scite"
+  install -Dm644 "$srcdir/scintilla/License.txt" \
+    "$pkgdir/usr/share/licenses/$pkgname/LICENSE-scintilla"
+  ln -sf SciTE "$pkgdir/usr/bin/scite"
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-x86_64/scite.install
===================================================================
--- community-x86_64/scite.install	2013-03-02 12:31:42 UTC (rev 85516)
+++ community-x86_64/scite.install	2013-03-02 12:31:53 UTC (rev 85517)
@@ -1,13 +0,0 @@
-post_upgrade() {
-  update-desktop-database -q
-}
-
-post_install() {
-  post_upgrade
-}
-
-post_remove() {
-  post_upgrade
-}
-
-# vim:set ts=2 sw=2 et:

Copied: scite/repos/community-x86_64/scite.install (from rev 85516, scite/trunk/scite.install)
===================================================================
--- community-x86_64/scite.install	                        (rev 0)
+++ community-x86_64/scite.install	2013-03-02 12:31:53 UTC (rev 85517)
@@ -0,0 +1,13 @@
+post_upgrade() {
+  update-desktop-database -q
+}
+
+post_install() {
+  post_upgrade
+}
+
+post_remove() {
+  post_upgrade
+}
+
+# vim:set ts=2 sw=2 et:




More information about the arch-commits mailing list